## ----style, echo = FALSE, results = 'asis', eval=TRUE-------------------------
options(width=80, max.print=1000)
knitr::opts_chunk$set(
    eval=as.logical(Sys.getenv("KNITR_EVAL", "TRUE")),
    cache=as.logical(Sys.getenv("KNITR_CACHE", "TRUE")), 
    tidy.opts=list(width.cutoff=60), 
    tidy=TRUE,
    eval = FALSE)
# shiny::tagList(rmarkdown::html_dependency_font_awesome())

## ----setup, echo=FALSE, messages=FALSE, warnings=FALSE, eval=TRUE-------------
    library(systemPipeShiny)

## ----sps-css, results = 'asis', echo=FALSE, eval=TRUE-------------------------
cat("<style>")
cat(readLines(system.file("app/www/css/sps.css", package = "systemPipeShiny")),sep = "\n")
cat("</style>")

## ----logo, echo=FALSE, out.width='70%', fig.align='center', eval=TRUE---------
knitr::include_graphics(path = "../inst/app/www/img/sps.png")

## ---- eval=FALSE--------------------------------------------------------------
#  if (!requireNamespace("BiocManager", quietly=TRUE))
#      install.packages("BiocManager")
#  BiocManager::install("systemPipeShiny")

## ----sps_load_package, eval=TRUE----------------------------------------------
library(systemPipeShiny)

## ----spsinit, eval=FALSE------------------------------------------------------
#  spsInit()

## ----spsinit_temp, eval=TRUE--------------------------------------------------
sps_tmp_dir <- tempdir()
spsInit(app_path = sps_tmp_dir, change_wd = FALSE, project_name = "SPSProject")
sps_dir <- file.path(sps_tmp_dir, "SPSProject")

## ---- eval=FALSE--------------------------------------------------------------
#  shiny::runApp()

## ---- eval=TRUE---------------------------------------------------------------
spsAddPlugin()

## ---- eval=FALSE--------------------------------------------------------------
#  spsAddPlugin(plugin = "PLUGIN_NAME", app_path = "PATH_OF_SPS")

## ---- eval=FALSE--------------------------------------------------------------
#  remotes::install_github("systemPipeR/spsBio")
#  spsAddPlugin(plugin = "spsBio")

## -----------------------------------------------------------------------------
#  sps_app <- sps(
#      vstabs = c("data_example", "plot_example1", "plot_example2"),
#      plugin = "spsBio",
#      server_expr = {
#          msg("Custom expression runs -- Hello World", "GREETING", "green")
#      }
#  )

## ---- eval=TRUE---------------------------------------------------------------
viewSpsDefaults(app_path = sps_dir)

## ---- eval=FALSE--------------------------------------------------------------
#  sps_app <- sps(vstabs = c("ID1", "ID2", ...))

## ---- eval=FALSE--------------------------------------------------------------
#  sps_app <- sps(
#      vstabs = c("data_example", "plot_example1", "plot_example2"),
#      plugin = "",
#      server_expr = {
#          msg("Custom expression runs -- Hello World", "GREETING", "green")
#      }
#  )

## ----sessionInfo, eval=TRUE---------------------------------------------------
sessionInfo()

